<?php

namespace Drupal\search_api_workspaces;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderBase;
use Drupal\search_api_workspaces\Plugin\search_api\datasource\WorkspacesContentEntityTrackingManager;

class SearchApiWorkspacesServiceProvider extends ServiceProviderBase {

  /**
   * {@inheritDoc}
   */
  public function alter(ContainerBuilder $container) {
    $definition = $container->getDefinition('search_api.entity_datasource.tracking_manager');
    if (!empty($definition)) {
      $definition->setClass(WorkspacesContentEntityTrackingManager::class);
    }
  }
}
